This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 439899 - [RFE] Add uvcvideo module to the kernel.
[RFE] Add uvcvideo module to the kernel.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
high Severity high
: rc
: ---
Assigned To: Jay Fenlason
Martin Jenner
http://linux-uvc.berlios.de/
:
Depends On:
Blocks: 391501 KernelPrio5.3 RHEL5u3_relnotes
  Show dependency treegraph
 
Reported: 2008-03-31 18:05 EDT by Charlie Wyse
Modified: 2014-08-31 19:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
the uvcvideo drivers for USB video devices has been added to the kernel in Red Hat Enterprise Linux 5.3.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:52:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charlie Wyse 2008-03-31 18:05:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.9b5pre) Gecko/2008030509 Red Hat/3.0b5pre-0.beta4.1.el5 Minefield/3.0b5pre

Description of problem:
Many cameras like the Logitech Quickcam 5000 and 9000 use the uvc video drivers.  I would like to see the uvcvideo module added to the kernel for support of devices listed on berlios project home page.

Version-Release number of selected component (if applicable):
uvcvideo-r104

How reproducible:
Always


Steps to Reproduce:
N/A

Actual Results:
N/A

Expected Results:
I would like to see the uvcvideo.ko module added.

Additional info:
Comment 1 Jay Fenlason 2008-04-02 14:41:52 EDT
It is too late for this to make 5.2.  I'm moving it to 5.3.  I have begun
acquiring hardware to do development with.
Comment 2 Charlie Wyse 2008-04-04 14:02:30 EDT
Just wanted to point out.  With the uvcvideo drivers I can get them to make and
install under 5.1 kernel.  But in the beta 5.2 kernel I get the following error.

cwyse@buffalo [:~/Desktop/uvcvideo-r104/trunk] % make                          
                                                                             
[11:01:23]
Building USB Video Class driver...
make[1]: Entering directory `/usr/src/kernels/2.6.18-86.el5-xen-x86_64'
  CC [M]  /home/cwyse/Desktop/uvcvideo-r104/trunk/uvc_driver.o
In file included from /home/cwyse/Desktop/uvcvideo-r104/trunk/uvcvideo.h:8,
                 from /home/cwyse/Desktop/uvcvideo-r104/trunk/uvc_driver.c:45:
/home/cwyse/Desktop/uvcvideo-r104/trunk/uvc_compat.h:205: error: redefinition of
‘usb_endpoint_dir_in’
include/linux/usb.h:474: error: previous definition of ‘usb_endpoint_dir_in’ was
here
/home/cwyse/Desktop/uvcvideo-r104/trunk/uvc_compat.h:210: error: redefinition of
‘usb_endpoint_xfer_int’
include/linux/usb.h:521: error: previous definition of ‘usb_endpoint_xfer_int’
was here
/home/cwyse/Desktop/uvcvideo-r104/trunk/uvc_compat.h:216: error: redefinition of
‘usb_endpoint_xfer_isoc’
include/linux/usb.h:534: error: previous definition of ‘usb_endpoint_xfer_isoc’
was here
/home/cwyse/Desktop/uvcvideo-r104/trunk/uvc_compat.h:222: error: redefinition of
‘usb_endpoint_xfer_bulk’
include/linux/usb.h:496: error: previous definition of ‘usb_endpoint_xfer_bulk’
was here
/home/cwyse/Desktop/uvcvideo-r104/trunk/uvc_compat.h:228: error: redefinition of
‘usb_endpoint_is_int_in’
include/linux/usb.h:571: error: previous definition of ‘usb_endpoint_is_int_in’
was here
make[2]: *** [/home/cwyse/Desktop/uvcvideo-r104/trunk/uvc_driver.o] Error 1
make[1]: *** [_module_/home/cwyse/Desktop/uvcvideo-r104/trunk] Error 2
make[1]: Leaving directory `/usr/src/kernels/2.6.18-86.el5-xen-x86_64'
make: *** [uvcvideo] Error 2

This could just be because 5.2 is still beta and this needs to be addressed, I'm
trying to work with the uvcvideo team to figure that one out.  Or there could
just be a newer version of uvcvideo.  I currently can not svn the new trunk from
work as svn is blocked here.  Just a heads up on what I have seen so far.
Comment 3 Jay Fenlason 2008-04-04 14:09:52 EDT
The ucvideo drivers have #ifs that depend on the kernel version, and don't 
take into account functionality Red Hat has backported into our RHEL-5 kernel 
(which still claims to be 2.6.18.  After I amended the obvious #if in 
uvc_compat.h it compiled without error.  Unfortunately, I can't test it until 
I get hardware.
Comment 9 Don Zickus 2008-08-06 13:56:38 EDT
in kernel-2.6.18-102.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 18 Ryan Lerch 2008-11-25 23:49:58 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
the uvcvideo drivers for USB video devices has been added to the kernel in Red Hat Enterprise Linux 5.3.
Comment 21 errata-xmlrpc 2009-01-20 14:52:55 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.